[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] libvirt-1.0.3 vs qemu-1.4



Hi guys,

I used to go through libvirt (1.0.3) use cases with qemu-1.0 + linux-3.0.43.
Recently I tried Linux-3.8.4 + qemu-1.4. But it can't start qemu domain.

---------------------------------
root p1022ds:~# virsh version
Compiled against library: libvirt 1.0.3
Using library: libvirt 1.0.3
Using API: QEMU 1.0.3
Running hypervisor: QEMU 1.4.0

root p1022ds:~# cat test.args
/usr/bin/qemu-system-ppc -name test -M mpc8544ds -enable-kvm -m 256 -nographic -kernel /media/ram/uImage -initrd /media/ram/ramdisk -append "root=/dev/ram rw console=ttyS0,115200" -serial pty

root p1022ds:~# virsh domxml-from-native qemu-argv test.args >test.xml 

root p1022ds:~# virsh define test.xml
Domain test defined from test.xml

root p1022ds:~# virsh start test
error: Failed to start domain test
error: internal error no assigned pty for device charserial0
---------------------------------

I don't know if it depends on qemu version or kernel config.
Do you have any idea about this issue?

Best Regards,
Olivia



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]